{% load static %}
<script src="{% static "js/jquery.js" %}"></script>
<div class="btn-group" id="downloadDD">
    <button class="btn dropdown-toggle" data-toggle="dropdown">Uložit graf ... <span class="caret"></span></button>
    <ul class="dropdown-menu">
        <li><a tabindex="-1" id="save-png-{{ chart.get_html_id }}">PNG</a></li>
        <li><a tabindex="-1" id="save-pdf-{{ chart.get_html_id }}">PDF</a></li>
    </ul>
</div>

<script type="text/javascript">
    google.setOnLoadCallback(drawChart{{ chart.get_html_id }});


    function drawChart{{ chart.get_html_id }}() {

        {% block chart_specific_arraytodatatable %}
            var data = google.visualization.arrayToDataTable({{ chart.get_data_json|safe }});
        {% endblock %}

        {% if chart.get_options_json %}

            var options = {{ chart.get_options_json|safe }}

        {% else %}

            var options = {};
        {% endif %}

        {% block create_chart %}
        {% endblock %}

        google.visualization.events.addListener(chart, 'select', selectHandler);

    function selectHandler(e)     {
       // alert(data.getValue(chart.getSelection()[0].row, 0));
    }

        chart.draw(data, options);
        chart{{ chart.get_html_id }} = chart;
        var btnPDFSave = document.getElementById('save-pdf-{{ chart.get_html_id }}');
        var btnPNGSave = document.getElementById('save-png-{{ chart.get_html_id }}');




        btnPDFSave.addEventListener('click', function () {
            var doc = new jsPDF('l', 'mm', [297, 210]);
            doc.addImage(chart.getImageURI(), 0, 0);
            doc.save('osvald-graf-{{ chart.get_html_id }}.pdf');
        }, false);

        btnPNGSave.addEventListener('click', function () {

            download(chart.getImageURI(), 'osvald-graf-{{ chart.get_html_id }}.png', "image/png")
        }, false);


    }
</script>

<script src="{% static "js/reporting.js"%}"></script>
<script src="{% static "js/graphs/jspdf.min.js" %}"></script>
<script src="{% static "js/graphs/downloader.js" %}"></script>

